text annotations fails to apply anti-aliasing font when rendered on canvas

2014-06-11 08:12 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 18961

Description

Text strings rendered within a Text Annotation  on the main canvas are not anti-aliased, resulting in a visually displeasing annotation. The

anti-aliasing is applied when maps are exported via the Composer. See attached screenshot to see the difference between the rendering

on the qgis main canvas, and an exported map @ 90dpi (which normally should look the same as the main canvas).

It's easy to see this issue by increasing the Text Annotation's font size to a large value.

History

#1 - 2014-06-11 08:20 PM - Mathieu Pellerin - nIRV

- File canvas-label_vs_annotation.png added

Actually, here's an even better comparison: the upper text is rendered within a Text Annotation, while the lower text is a rendered label over a point within

the main QGIS map canvas.

#2 - 2016-02-25 07:57 AM - Jürgen Fischer

- Status changed from Open to Feedback

Was this meanwhile fixed?

#3 - 2016-02-25 05:43 PM - Mathieu Pellerin - nIRV

- Resolution set to worksforme

- Status changed from Feedback to Closed

Jef, it seems so, closing.

Files

no-antialiasing-on-canvas.png 1.19 MB 2014-06-11 Mathieu Pellerin - nIRV

canvas-label_vs_annotation.png 230 KB 2014-06-11 Mathieu Pellerin - nIRV
